
pfSense Packages - Bug #7471

Cellular pkg errors on install

04/14/2017 01:36 PM - Stilez y

Status: Rejected Start date: 04/14/2017

Priority: Normal Due date:  

Assignee: Renato Botelho % Done: 0%

Category: Cellular Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

 

Affected Version:  Affected

Architecture:

 

Description

Upgraded 2.3.3 to 2.3.3-p1, then installed cellular. Pkg install dialog:

Installing pfSense-pkg-cellular...

Updating pfSense-core repository catalogue...

pfSense-core repository is up-to-date.

Updating pfSense repository catalogue...

pfSense repository is up-to-date.

All repositories are up-to-date.

The following 3 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:

pfSense-pkg-cellular: 1.1.4_1 [pfSense]

py27-serial: 3.2.1 [pfSense]

py27-setuptools27: 32.1.0 [pfSense]

Number of packages to be installed: 3

The process will require 4 MiB more space.

555 KiB to be downloaded.

Fetching pfSense-pkg-cellular-1.1.4_1.txz: .. done

Fetching py27-serial-3.2.1.txz: .......... done

Fetching py27-setuptools27-32.1.0.txz: .......... done

Checking integrity... done (0 conflicting)

[1/3] Installing py27-setuptools27-32.1.0...

[1/3] Extracting py27-setuptools27-32.1.0: .......... done

[2/3] Installing py27-serial-3.2.1...

[2/3] Extracting py27-serial-3.2.1: .......... done

[3/3] Installing pfSense-pkg-cellular-1.1.4_1...

[3/3] Extracting pfSense-pkg-cellular-1.1.4_1: ......... done

Saving updated package information...

done.

Loading package configuration... done.

Configuring package components...

Loading package instructions...

Custom commands...

Executing custom_php_global_functions()...done.

Executing custom_php_resync_config_command()...Traceback (most recent call last):

File "/usr/local/cellular.py", line 409, in <module>

File "/usr/local/cellular.py", line 78, in init

File "/usr/local/cellular.py", line 143, in init_hardware

File "/usr/local/cellular.py", line 322, in get_model

File "/usr/local/cellular.py", line 289, in _at_information

File "/usr/local/cellular.py", line 219, in at_cmd
File "/usr/local/lib/python2.7/site-packages/serial/serialposix.py", line 268, in open

raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))

serial.serialutil.SerialException: [Errno 2] could not open port /dev/cuaU0.2: [Errno 2] No such file or directory: '/dev/cuaU0.2'

Traceback (most recent call last):

File "/usr/local/cellular.py", line 409, in <module>

File "/usr/local/cellular.py", line 78, in init

File "/usr/local/cellular.py", line 143, in init_hardware

File "/usr/local/cellular.py", line 322, in get_model

File "/usr/local/cellular.py", line 289, in _at_information

File "/usr/local/cellular.py", line 219, in at_cmd

File "/usr/local/lib/python2.7/site-packages/serial/serialposix.py", line 268, in open

raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))

serial.serialutil.SerialException: [Errno 2] could not open port /dev/cuaU0.2: [Errno 2] No such file or directory: '/dev/cuaU0.2'

Traceback (most recent call last):

File "/usr/local/cellular.py", line 409, in <module>

File "/usr/local/cellular.py", line 78, in init

File "/usr/local/cellular.py", line 143, in init_hardware

File "/usr/local/cellular.py", line 322, in get_model

File "/usr/local/cellular.py", line 289, in _at_information

File "/usr/local/cellular.py", line 219, in at_cmd

File "/usr/local/lib/python2.7/site-packages/serial/serialposix.py", line 268, in open

raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))

serial.serialutil.SerialException: [Errno 2] could not open port /dev/cuaU0.2: [Errno 2] No such file or directory: '/dev/cuaU0.2'

Traceback (most recent call last):

File "/usr/local/cellular.py", line 409, in <module>

File "/usr/local/cellular.py", line 78, in init

File "/usr/local/cellular.py", line 143, in init_hardware

File "/usr/local/cellular.py", line 322, in get_model

File "/usr/local/cellular.py", line 289, in _at_information

File "/usr/local/cellular.py", line 219, in at_cmd

File "/usr/local/lib/python2.7/site-packages/serial/serialposix.py", line 268, in open

raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))

serial.serialutil.SerialException: [Errno 2] could not open port /dev/cuaU0.2: [Errno 2] No such file or directory: '/dev/cuaU0.2'

done.

Menu items... done.

Writing configuration... done.

Cleaning up cache... done.

Success

History

#1 - 04/14/2017 07:30 PM - Jim Thompson

- Assignee set to Renato Botelho

Reassign to pkg author if this is specific to the cellular pkg

#2 - 02/18/2019 05:19 PM - Jared Dillard

- Category set to Cellular

#3 - 09/17/2019 10:04 AM - Renato Botelho

- Status changed from New to Rejected

Probably it was fixed by other changes but today package can be installed/deinstalled and upgraded without any issues.

If you still see errors on current pfSense versions please let me know
